import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# graph schemaextension remove

Removes specified Microsoft Graph schema extension

## Usage

```sh
m365 graph schemaextension remove [options]
```

## Options

```md definition-list
`-i, --id <id>`
: The unique identifier for the schema extension definition

`-f, --force`
: Don't prompt for confirming removing the specified schema extension
```

<Global />

## Remarks

To remove specified schema extension definition, you have to pass the ID of the schema
extension.

## Permissions
<Tabs>
  <TabItem value="Delegated">

  | Resource        | Permissions               |
  |-----------------|---------------------------|
  | Microsoft Graph | Application.ReadWrite.All |

  </TabItem>
  <TabItem value="Application">

  | Resource        | Permissions                                        |
  |-----------------|----------------------------------------------------|
  | Microsoft Graph | Application.ReadWrite.All, Directory.ReadWrite.All |

  </TabItem>
</Tabs>

## Examples

Removes specified Microsoft Graph schema extension with ID domain_myExtension. Will prompt for confirmation

```sh
m365 graph schemaextension remove --id domain_myExtension 
```

Removes specified Microsoft Graph schema extension with ID domain_myExtension without prompt for confirmation

```sh
m365 graph schemaextension remove --id domain_myExtension --force
```

## Response

The command won't return a response on success.
